Debian Bug report logs - #335091
ITA: xmms-crossfade -- XMMS Plugin for Crossfading / Continuous Output

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Waitz <tali@debian.org>

Date: Fri, 21 Oct 2005 20:48:05 UTC

Owned by: Florian Ernst <florian@uni-hd.de>

Severity: normal

Fixed in version xmms-crossfade/0.3.8-1

Done: Florian Ernst <florian@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: xmms-crossfade
Date: Fri, 21 Oct 2005 22:42:14 +0200
Package: wnpp
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

hoi :)

I haven't used xmms-crossfade for a long time now and don't have the
time and motivation to maintain it any longer.

The current version in Debian only supports XMMS which is using
libgtk1.2 from oldlibs and there has been no request to package the BEEP
version (linked against gtk2) so far.
If gtk1.2 is to be removed for etch, then this package can go savely,
too.

- -- System Information:
Debian Release: testing/unstable
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.12-1-k7
Locale: LANG=de_DE.UTF-8@euro, LC_CTYPE=de_DE.UTF-8@euro (charmap=UTF-8)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDWVKmj/Eaxd/oD7IRAoRmAJ44cEL/Y3k20Xodkss0/5+APaKPZACffLaj
B5F7yrtYwnmld8l2qgAzv5o=
=1uCC
-----END PGP SIGNATURE-----



Changed Bug title. Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to 335091@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 335091@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@uni-hd.de>
To: 335091@bugs.debian.org
Cc: Martin Waitz <tali@debian.org>
Subject: Re: Bug#335091: O: xmms-crossfade
Date: Sun, 23 Oct 2005 15:21:49 +0200
[Message part 1 (text/plain, inline)]
On Fri, 21 Oct 2005 22:42:14 +0200, Martin Waitz wrote:
> The current version in Debian only supports XMMS which is using
> libgtk1.2 from oldlibs and there has been no request to package the BEEP
> version (linked against gtk2) so far.

Hmm, I couldn't find this version, can you please tell me where to
look?

> If gtk1.2 is to be removed for etch, then this package can go savely,
> too.

As I actually use this plugin rather often I'd hate to see it go to
waste, so if nobody else comes up within the next week I think I'll
hesitantly adopt it.

Cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 335091@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@debian.org>
To: 335091@bugs.debian.org, Martin Waitz <tali@debian.org>
Subject: Re: Bug#335091: O: xmms-crossfade
Date: Sun, 23 Oct 2005 12:51:47 -0500
On Fri, 2005-10-21 at 22:42 +0200, Martin Waitz wrote:
> The current version in Debian only supports XMMS which is using
> libgtk1.2 from oldlibs and there has been no request to package the
> BEEP version (linked against gtk2) so far.

What is the BEEP version? Do you mean Beep Media Player?

--
David Moreno Garza <damog@damog.net>   |  http://www.damog.net/
                   <damog@debian.org>  |          GPG: C671257D
  "The number of RC bugs in Debian is..." -Steve Langasek.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@admingilde.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 335091@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: 335091@bugs.debian.org
Subject: Re: Bug#335091: O: xmms-crossfade
Date: Mon, 24 Oct 2005 08:41:35 +0200
[Message part 1 (text/plain, inline)]
hoi :)

On Sun, Oct 23, 2005 at 03:21:49PM +0200, Florian Ernst wrote:
> On Fri, 21 Oct 2005 22:42:14 +0200, Martin Waitz wrote:
> > The current version in Debian only supports XMMS which is using
> > libgtk1.2 from oldlibs and there has been no request to package the BEEP
> > version (linked against gtk2) so far.
> 
> Hmm, I couldn't find this version, can you please tell me where to
> look?

the xmms-crossfade source checks for both xmms/gtk1.2 and beep/gtk2.0.
I haven't played with it but I guess you would have to build it
twice with different configure flags to get plugins for both players.

> As I actually use this plugin rather often I'd hate to see it go to
> waste, so if nobody else comes up within the next week I think I'll
> hesitantly adopt it.

that would be great, I haven't been a good xmms-crossfade maintainer
in the last months.

-- 
Martin Waitz
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@admingilde.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #27 received at 335091@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: David Moreno Garza <damog@debian.org>
Cc: 335091@bugs.debian.org
Subject: Re: Bug#335091: O: xmms-crossfade
Date: Mon, 24 Oct 2005 08:44:42 +0200
[Message part 1 (text/plain, inline)]
hoi :)

On Sun, Oct 23, 2005 at 12:51:47PM -0500, David Moreno Garza wrote:
> On Fri, 2005-10-21 at 22:42 +0200, Martin Waitz wrote:
> > The current version in Debian only supports XMMS which is using
> > libgtk1.2 from oldlibs and there has been no request to package the
> > BEEP version (linked against gtk2) so far.
> 
> What is the BEEP version? Do you mean Beep Media Player?

yes.

the configure script checks for both XMMS and BEEP.
But I haven't tested that yet.

-- 
Martin Waitz
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 335091@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@debian.org>
To: Martin Waitz <tali@admingilde.org>
Cc: 335091@bugs.debian.org
Subject: Re: Bug#335091: O: xmms-crossfade
Date: Mon, 24 Oct 2005 02:09:00 -0500
On Mon, 2005-10-24 at 08:44 +0200, Martin Waitz wrote:
> > > The current version in Debian only supports XMMS which is using
> > > libgtk1.2 from oldlibs and there has been no request to package the
> > > BEEP version (linked against gtk2) so far.
> > 
> > What is the BEEP version? Do you mean Beep Media Player?
> 
> yes.
> 
> the configure script checks for both XMMS and BEEP.
> But I haven't tested that yet.

Beep Media Player is already packaged and is widely used.

--
David Moreno Garza <damog@damog.net>   |  http://www.damog.net/
                   <damog@debian.org>  |          GPG: C671257D
  Este no es un capricho, es un corazón sincero: Nada más.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #37 received at 335091@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: David Moreno Garza <damog@debian.org>
Cc: Martin Waitz <tali@admingilde.org>, 335091@bugs.debian.org
Subject: Packaging xmms-crossfade for beep-media-player (was: Re: Bug#335091: O: xmms-crossfade)
Date: Wed, 26 Oct 2005 07:49:04 -0200
On Oct 24 2005, David Moreno Garza wrote:
> On Mon, 2005-10-24 at 08:44 +0200, Martin Waitz wrote:
> > the configure script checks for both XMMS and BEEP.  But I haven't
> > tested that yet.
> 
> Beep Media Player is already packaged and is widely used.

Having xmms-crossfade compiled for beep would be one reason less to use
xmms.

Now, I would just want to have some other plugins for beep-media-player
(like the ability to play flac and mp4 files) and I'd be quite happy
with just one player on my system.

Please, keep me informed of updates on xmms-crossfade.


Thanks, Rogério Brito.

-- 
Rogério Brito : rbrito@ime.usp.br : http://www.ime.usp.br/~rbrito
Homepage of the algorithms package : http://algorithms.berlios.de
Homepage on freshmeat:  http://freshmeat.net/projects/algorithms/



Changed Bug title. Request was from Florian Ernst <florian@uni-hd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Florian Ernst <florian@uni-hd.de>. Request was from Florian Ernst <florian@uni-hd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Florian Ernst <florian@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Waitz <tali@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 335091-close@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@debian.org>
To: 335091-close@bugs.debian.org
Subject: Bug#335091: fixed in xmms-crossfade 0.3.8-1
Date: Tue, 01 Nov 2005 06:47:23 -0800
Source: xmms-crossfade
Source-Version: 0.3.8-1

We believe that the bug you reported is fixed in the latest version of
xmms-crossfade, which is due to be installed in the Debian FTP archive:

xmms-crossfade_0.3.8-1.diff.gz
  to pool/main/x/xmms-crossfade/xmms-crossfade_0.3.8-1.diff.gz
xmms-crossfade_0.3.8-1.dsc
  to pool/main/x/xmms-crossfade/xmms-crossfade_0.3.8-1.dsc
xmms-crossfade_0.3.8-1_i386.deb
  to pool/main/x/xmms-crossfade/xmms-crossfade_0.3.8-1_i386.deb
xmms-crossfade_0.3.8.orig.tar.gz
  to pool/main/x/xmms-crossfade/xmms-crossfade_0.3.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 335091@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Ernst <florian@debian.org> (supplier of updated xmms-crossfade package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  1 Nov 2005 15:14:44 +0100
Source: xmms-crossfade
Binary: xmms-crossfade
Architecture: source i386
Version: 0.3.8-1
Distribution: unstable
Urgency: low
Maintainer: Florian Ernst <florian@debian.org>
Changed-By: Florian Ernst <florian@debian.org>
Description: 
 xmms-crossfade - XMMS Plugin for Crossfading / Continuous Output
Closes: 302431 328270 328272 335091
Changes: 
 xmms-crossfade (0.3.8-1) unstable; urgency=low
 .
   * New upstream release (Closes: #328272)
     + was re-libtoolized, thus reducing the diff.gz size (Closes: #328270)
     + uses libsamplerate
   * New maintainer (Closes: #335091)
     + pick up old rules, dropping cdbs as I personally don't like it
     + dropy some unneeded files from the diff.gz
     + simplify Build-Dependencies, also adding libsamplerate0-dev
     + extend long description
     + update debian/copyright to reflect changes
   * Standards-Version 3.6.2
   * Acknowledge previous NMU via -v0.3.5-1
 .
 xmms-crossfade (0.3.5-1.1) unstable; urgency=low
 .
   * Non-maintainer upload as requested by maintainer.
   * FTBFS (amd64/gcc-4.0): static declaration of 'monitor_win' follows
     non-static declaration, fixed by applying the patch provided by
     Andreas Jochens (Closes: #302431)
Files: 
 34054c065505da295c672482f512da1b 635 sound optional xmms-crossfade_0.3.8-1.dsc
 fbfff1bff29118309b0a02c713b13d50 435761 sound optional xmms-crossfade_0.3.8.orig.tar.gz
 0f45862a4c5c21a8feadb32cabfb18a8 4255 sound optional xmms-crossfade_0.3.8-1.diff.gz
 7388f832ec8c6e681c049d014f961d2c 91874 sound optional xmms-crossfade_0.3.8-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDZ3uPs3U+TVFLPnwRAuODAJ9TM9Z3A8Nbt+OL0x2dzQy6acEOnQCdEkuI
se+zF4ouRgG1GV0x6eu3//U=
=50L2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:18:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:18:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.